/* rexx inside (c)   
@goto NoRexx
*/

/* CooLFM installation script v1.0; Special thanks to Joseph Shrago */

Say "Creating WPS objects for CooLFM..."

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs


installDir=Directory()"\"
Say "CooLFM must be installed in "installDir

ObjMode="Replace"
rc=0

/* create data type in os2.ini */
call SysIni 'USER', 'PMWP_ASSOC_TYPE', 'CooLFM', ''

Class = "WPFolder"
Title = "CooLFM"
   Location = "<WP_DESKTOP>"
   SetupString = "OBJECTID=<homeFolder>;BACKGROUND="installDir"Manual\back.jpg,T"
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

   
ObjMode="Update"
Class = "WPProgram"
Title = "CooLFM"
   Location = "<homeFolder>"
   SetupString ="OBJECTID=<exe>;PROGTYPE=PM;EXENAME="installDir"coolfm.exe;STARTUPDIR="installDir";ICONFILE="installDir"Manual\coolfm.ico;ASSOCTYPE=CooLFM;ASSOCFILTER=*.skp"
   rc = (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

   
Class = "WPProgram"
Title = "CooLFM registration KEY"
   Location = "<homeFolder>"
   SetupString = "OBJECTID=<key>;EXENAME=E.EXE;PARAMETERS="installDir"coolfm.key;ICONFILE="installDir"Manual\key.ico"
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)



Class = "WPProgram"
Title = "Readme.1st"
   Location = "<homeFolder>"
   SetupString = "OBJECTID=<readme1st>;EXENAME=E.EXE;PARAMETERS="installDir"readme.1st;ICONFILE="installDir"Manual\notes.ico"
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
   
Class = 'WPUrl'
Title = "Overview"
   Location = "<homeFolder>"
   SetupString = 'URL=file:///'installDir'Manual\index.html;ICONFILE='installDir'Manual\book.ico'
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
   
Class = 'WPUrl'
Title = "Manual"
   Location = "<homeFolder>"
   SetupString = 'URL=file:///'installDir'Manual\manual0.html;ICONFILE='installDir'Manual\book.ico'
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

Class = "WPShadow"
Title = "Skins"
   Location = "<homeFolder>"
   param='SHADOWID='installDir'Skins;ASSOCTYPE=CooLFM'
   rc = rc + (SysCreateObject(Class,Title,Location,param,ObjMode)<>1)

Class = "WPShadow"
Title = "WAVs"
   Location = "<homeFolder>"
   param='SHADOWID='installDir'WAVs'
   rc = rc + (SysCreateObject(Class,Title,Location,param,ObjMode)<>1)






Class = "WPFolder"
Title = "CooLFM"
   Location = "<WP_DESKTOP>"
   SetupString = "OBJECTID=<homeFolder>;OPEN=Default;"
   rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

exit

:NoRexx
@echo Error: REXX not found!
